Page MenuHomePhabricator

efl: add facility to generate an event when an item is created by the factory.
ClosedPublic

Authored by cedric on Dec 7 2018, 4:09 PM.

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 8408
cedric created this revision.Dec 7 2018, 4:09 PM

Minor orthographic fixes. If you don't fix them now, I'll have to do it later :)

src/lib/efl/Efl.h
201

*calls *triggers

203

Please specify direction of parameters.

209

*exists

except large character typo,
I don't have strong opinion about my reviews,
so you can decide what will go.

src/lib/efl/Efl.h
209

*existS->exists :p

214

could it be enough just create_future?
I have no strong opinion on this.

src/lib/efl/interfaces/efl_ui_factory.eo
2

this one we might have to decide which term we exposed as our event name,
create vs created
select vs selected
focus vs focused
disable vs disabled
should we make a task or vote and discuss about this?

segfaultxavi added inline comments.Dec 17 2018, 8:17 AM
src/lib/efl/interfaces/efl_ui_factory.eo
2

Since the event is emitted after the item is created (I think), I like Created.

okay. lets go with that naming rules.

cedric added inline comments.Dec 19 2018, 2:24 PM
src/lib/efl/Efl.h
214

I feel we should keep the event in the name as this is the main purpose of this function, to emit the event when the item is created.

cedric updated this revision to Diff 17990.Dec 19 2018, 2:25 PM

Correct typo in the comment and rebase on master.

SanghyeonLee accepted this revision.Dec 20 2018, 3:07 AM

Looks good to me now.

This revision is now accepted and ready to land.Dec 20 2018, 3:07 AM
This revision was automatically updated to reflect the committed changes.